Skip to main content

Get mandatory fields for single window transfer

GET https://wallet.paysera.com/transfer/rest/v1/transfers/single-window-transfer-mandatory-fields

Get list of mandatory fields required for single window transfers

Authorization​

This endpoint requires MAC (Message Authentication Code) authentication.

Authorization Header Format:

Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"

Example:

Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"

For more details, see the Authentication section.

Example​

Request​

GET https://wallet.paysera.com/transfer/rest/v1/transfers/single-window-transfer-mandatory-fields
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH"

Response​

{
"fields": [
"first_name",
"last_name",
"birth_date",
"payout_type",
"payout_currency"
]
}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://wallet.paysera.com

RESPONSE

Successful response
{
"fields": [
"first_name",
"last_name",
"birth_date",
"payout_type",
"payout_currency"
]
}